API referenceConnections
Pistis's OAuth client metadata document
GET
What an MCP server's authorization server fetches when a person connects with OAuth: Pistis's client id (this URL), name and redirect URI (Client ID Metadata Documents). No token.
The document
application/json- response
client_id*stringThis document's URL
client_name*stringclient_uri*stringredirect_uris*array<string>grant_types*array<string>response_types*array<string>token_endpoint_auth_method*stringapplication_type*stringcurl -X GET 'http://127.0.0.1:7777/.well-known/mcp-client'Example Response200
{ "client_id": "string", "client_name": "string", "client_uri": "string", "redirect_uris": [ "string" ], "grant_types": [ "string" ], "response_types": [ "string" ], "token_endpoint_auth_method": "string", "application_type": "string"}List your MCP connections GET
The MCP servers you connected your own account to. Needs a person's token.
Begin connecting your account to an MCP server with OAuth POST
For a server that connects with OAuth. Answers the authorization URL to open in a browser signed in to Pistis as you; the flow expires in ten minutes. A server that takes a pasted token answers 400.